Bug 71370 - pam doesn't handle sound device file permissions well
pam doesn't handle sound device file permissions well
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-12 15:40 EDT by Nathan G. Grennan
Modified: 2015-01-07 18:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 01:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-08-12 15:40:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
I login to the console as a non-root user, run screen, run startx, ctrl-alt-f1,
use ctrl-a d, exit, and ctrl-alt-f7. At this point I am in X, but the sound
device files dsp, dsp1, mixer, and mixer1 are owned by root and not my user. I
am using screen to log the X session without being logged in. If I used gdm
XFree86.0.log would be overwritten on logout.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. login to console as normal user
2. run screen
3. run startx
4. ctrl-alt-f1
5. ctrl-a d
6. exit
7. ctrl-alt-f7
	

Actual Results:  Sound device files owned by root

Expected Results:  Sound device files owned by user running startx in screen

Additional info:

Limbo beta2
Comment 1 Nathan G. Grennan 2004-08-20 01:28:55 EDT
Closing old bug on no longer supported product.

Note You need to log in before you can comment on or make changes to this bug.